const http = require("http");
const fs = require("fs");
const qs = require("querystring");
const dat = require("./data/data.json");

const server = http.createServer((req, res) => {
    if (req.url === "/styles/styles.css") {
        res.statusCode = 200;
        res.setHeader("Content-Type", "text/css");
        fs.readFile("./styles/styles.css", (error, data) => {
            if (error) {
                res.writeHead(404);
                res.write("Error: File not found.");
            } else {
                res.write(data);
            }

            res.end();
        });
    }

    if (req.url === "/") {
        res.statusCode = 200;
        res.setHeader("Content-Type", "text/html");
        fs.readFile("./pages/landing.html", (error, data) => {
            if (error) {
                res.writeHead(404);
                res.write("Error: File not found.");
            } else {
                res.write(data);
            }

            res.end();
        });
    }

    if (req.url === "/about") {
        res.statusCode = 200;
        res.setHeader("Content-Type", "text/html");
        fs.readFile("./pages/about.html", (error, data) => {
            if (error) {
                res.writeHead(404);
                res.write("Error: File not found.");
            } else {
                res.write(data);
            }

            res.end();
        });
    }

    if (req.url === "/news") {
        res.statusCode = 200;
        res.setHeader("Content-Type", "text/html");
        fs.readFile("./pages/news.html", (error, data) => {
            if (error) {
                res.writeHead(404);
                res.write("Error: File not found.");
            } else {
                res.write(data);
            }

            res.end();
        });
    }

    if (req.url === "/contact") {
        res.statusCode = 200;
        res.setHeader("Content-Type", "text/html");
        fs.readFile("./pages/contact.html", (error, data) => {
            if (error) {
                res.writeHead(404);
                res.write("Error: File not found.");
            } else {
                res.write(data);
            }

            res.end();
        });
    }

    if (req.url === "/signup") {
        res.statusCode = 200;
        res.setHeader("Content-Type", "text/html");
        fs.readFile("./pages/signup.html", (error, data) => {
            if (error) {
                res.writeHead(404);
                res.wrtie("Error: File not found.");
            } else {
                res.write(data);
            }

            res.end();
        });
    }
});

const port = process.env.port || 9000;

server.listen(port, () => console.log(`Server running on port ${port}`));
